Freeciv-3.3: Data Fields

Freeciv-3.3

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - s -

- s : gen234_state, named_sprites
- sabotage : impr_type, packet_ruleset_building
- saddr : fc_sockaddr
- saddr_in4 : fc_sockaddr
- same_name : tab_achievement, tab_building, tab_counter, tab_extras, tab_good, tab_gov, tab_multiplier, tab_tech, tab_terrains, tab_unit
- same_name_toggle() : tab_achievement, tab_building, tab_counter, tab_extras, tab_good, tab_gov, tab_multiplier, tab_tech, tab_terrains, tab_unit
- sanity_check() : tab_misc
- save_cma() : city_dialog
- save_compress_level : civ_game, save_thread_data
- save_compress_type : civ_game, save_thread_data
- save_frequency : civ_game
- save_game() : mr_menu
- save_game_as() : mr_menu
- save_icon : theme_icons
- save_image() : mr_menu
- save_known : civ_game
- save_name : civ_game
- save_now() : tab_misc
- save_nturns : civ_game
- save_options : civ_game
- save_options_now() : mr_menu
- save_options_on_exit : client_options
- save_players : savedata
- save_private_map : civ_game
- save_random : packet_scenario_info
- save_reason : savedata
- save_starts : civ_game
- save_timer : civ_game
- save_worklist() : city_dialog
- savedir : tab_misc
- savedir_version : tab_misc
- savegame_ai_type_name : player
- savepalace : civ_game
- saves_load : fc_client
- saves_pathname : server_arguments
- sblink() : fc_sidewidget
- sc : fc_sc_button, fc_shortcut_popup, fc_shortcuts
- sc_orig : fc_sc_button
- scale : hud_battle_log, minimap_thread, minimap_view, scale_widget, tileset
- scale_factor : minimap_view
- scale_fonts_status : mr_menu
- scale_point() : minimap_view
- scale_widget() : scale_widget
- scaled_pixmap : fc_sidewidget
- scan : server_scan_timer_data
- scategory : setting
- scenario : civ_game, packet_edit_game, savedata
- scenario_authors : packet_edit_game
- scenario_desc : civ_game, packet_edit_scenario_desc
- scenario_name : packet_edit_game
- scenario_players : packet_edit_game
- scenario_random : packet_edit_game
- scenario_reserved : packet_edit_player
- scenarios_load : fc_client
- scenarios_pathname : server_arguments
- scenarios_text : fc_client
- scenarios_view : fc_client
- sci_layout : science_report
- science : packet_edit_player, packet_player_info, packet_player_rates, player_economic
- science_cost : packet_player_info, player_ai
- science_priority : adv_data
- science_report() : science_report
- science_report_dialog_popup : gui_funcs
- science_report_dialog_redraw : gui_funcs
- sciencebox : packet_game_info
- sclass : setting
- score : packet_endgame_player, packet_player_info, player, team_placement_state
- scorefile : civ_game
- scorelog : civ_game
- scoreloglevel : civ_game
- scoreturn : civ_game
- scramble_coeff : unit_type
- screen : sdl2_data, sdl3_data
- script_filename : server_arguments
- scroll : advanced_dialog, science_report, units_reports
- scroll_height : city_dialog
- scroll_layout : fc_shortcuts_dialog, units_reports
- scroll_to_bottom() : chatwdg
- scroll_widget : units_reports
- sea : pft_amphibious
- sea_done : adv_data
- sea_map_clause() : diplo_wdg
- sea_move : unit_class
- sea_scale : pft_amphibious
- sec : timer
- secfile : section
- secfile_options : loaddata, savedata
- seconds_to_phasedone : packet_timeout_info
- sect_title_begin : tag_types
- sect_title_end : tag_types
- sections : section_file
- seed : civ_game, civ_map
- seed_setting : civ_game, civ_map
- seen_count : player_tile
- segment : pf_fuel_node
- select : named_sprites, unit_hud_selector, widget
- select_achievement() : tab_achievement
- select_all() : city_widget
- SELECT_AVAIL_IMPR : city_widget
- SELECT_AVAIL_UNITS : city_widget
- SELECT_AVAIL_WONDERS : city_widget
- select_bldg() : tab_building
- select_building_something() : city_widget
- select_city() : city_widget
- select_coastal() : city_widget
- select_color() : option_dialog
- select_counter() : tab_counter
- select_effect() : effect_edit
- select_enabler() : tab_enabler
- select_extra() : tab_extras
- select_font() : option_dialog
- select_good() : tab_good
- select_gov() : tab_gov
- SELECT_IMPR : city_widget
- select_multiplier() : tab_multiplier
- select_nation_button : CONNLIST
- select_none() : city_widget
- select_offset_x : tileset
- select_offset_y : tileset
- SELECT_PRES_UNITS : city_widget
- select_req() : req_edit
- select_same_island() : city_widget
- SELECT_SUPP_UNITS : city_widget
- select_tech() : tab_tech
- select_terrain() : tab_terrains
- select_unit() : tab_unit
- select_units() : unit_hud_selector
- SELECT_WONDERS : city_widget
- selected : effect_edit, named_sprites, req_edit, tab_achievement, tab_building, tab_counter, tab_enabler, tab_extras, tab_good, tab_gov, tab_multiplier, tab_tech, tab_terrains, tab_unit
- selected_cities : city_widget
- selected_leader : nation_info
- selected_nation : races_dialog
- selected_nation_tabs : races_dialog
- selected_nbr : effect_edit
- selected_player : plr_widget
- selected_row_p : city_dialog
- selected_style : races_dialog
- selected_tile_table : editor_state
- selected_values : req_edit
- selection : cma_dialog
- selection_changed() : eco_report, hud_unit_loader
- selection_mode : editor_state
- self : base_type, connection, resource_type, road_type
- SELL : city_widget
- sell_buildings() : eco_report
- sell_button : eco_report
- sell_id : city_dialog
- sell_redun_button : eco_report
- sell_redundant() : eco_report
- sell_shell : city_dialog
- selrect_active : editor_state
- selrect_height : editor_state
- selrect_start_x : editor_state
- selrect_start_y : editor_state
- selrect_width : editor_state
- selrect_x : editor_state
- selrect_y : editor_state
- send() : chat_input, packet_handlers
- send_buffer : connection
- send_chat_message() : chat_listener
- send_desired_settings : client_options
- send_fake_chat_message() : fc_client
- send_handler() : generate_packets.Variant
- send_new_aifill_to_server : fc_client
- send_prototype() : generate_packets.Packet, generate_packets.Variant
- sent : connection
- sentried : unit_hud_selector
- sentry : named_sprites, unit_item
- sentry_unit() : unit_item
- separate_unit_selection : client_options
- separatepoles : civ_map
- server : city, civ_game, civ_map, connection, nation_group, nation_type, player, unit
- server_connect : gui_funcs
- server_header_path : generate_packets.ScriptConfig
- server_impl_path : generate_packets.ScriptConfig
- server_input() : fc_client
- server_notifier : fc_client
- server_options() : mr_menu
- server_setting_by_name : functions
- server_setting_name_get : functions
- server_setting_type_get : functions
- server_setting_val_bitwise_get : functions
- server_setting_val_bool_get : functions
- server_setting_val_int_get : functions
- server_state : event_cache_data, loaddata
- serverid : server_arguments
- servers : srv_list
- set : nation_info, option, sf_cb_data
- set_aifill() : pregame_options
- set_area : widget
- set_attack_value() : edit_utype
- set_bcost_value() : edit_impr, edit_utype
- set_bitwise() : option_dialog
- set_bool() : option_dialog
- set_bottom_panel() : help_widget
- set_button_color() : option_dialog
- set_city() : city_label
- set_color() : option_dialog
- set_connection_state() : fc_client
- set_cost_value() : edit_tech
- set_custom_labels() : fc_sidewidget
- set_defense_value() : edit_terrain, edit_utype
- set_diplo_dialog() : fc_client
- set_enum() : option_dialog
- set_fading() : hud_unit_combat
- set_firepower() : edit_utype
- set_font() : fc_font, option_dialog
- set_hitpoints() : edit_utype
- set_index() : diplo_wdg, races_dialog
- set_int() : option_dialog
- set_label() : fc_sidewidget
- set_layout() : choice_dialog
- set_left_click() : fc_sidewidget
- set_main_widget() : help_widget
- set_mcost_value() : edit_terrain
- set_move_rate() : edit_utype
- set_pixmap() : city_map, fc_sidewidget, hud_action, progress_bar
- set_position : widget
- set_right_click() : fc_sidewidget
- set_rulesets : gui_funcs, pregame_options
- set_scale() : hud_battle_log, hud_unit_combat
- set_shortcut() : fc_shortcuts
- set_status_bar() : fc_client
- set_string() : option_dialog
- set_text_title() : hud_message_box
- set_text_title_definput() : hud_input_box
- set_tile_for_order() : mr_menu
- set_tooltip() : fc_sidewidget
- set_topic() : help_dialog, help_widget
- set_topic_any() : help_widget
- set_topic_building() : help_widget
- set_topic_extra() : help_widget
- set_topic_goods() : help_widget
- set_topic_government() : help_widget
- set_topic_nation() : help_widget
- set_topic_other() : help_widget
- set_topic_specialist() : help_widget
- set_topic_tech() : help_widget
- set_topic_terrain() : help_widget
- set_topic_text() : help_widget
- set_topic_unit() : help_widget
- set_unit_icon : gui_funcs
- set_unit_icons_more_arrow : gui_funcs
- set_upkeep_value() : edit_impr
- set_value() : effect_edit
- set_volume : audio_plugin
- set_wheel_down() : fc_sidewidget
- set_wheel_up() : fc_sidewidget
- setData() : city_item, city_model, city_production_model, plr_item, plr_model, production_item
- setData1() : Choice_dialog_button
- setData2() : Choice_dialog_button
- setdef : packet_server_setting_bitwise, packet_server_setting_bool, packet_server_setting_enum, packet_server_setting_int, packet_server_setting_str, server_option, setting
- sets : nation_type, packet_ruleset_nation, style_citizen_set
- settings_gamestart_valid : civ_game
- settings_num : packet_server_setting_control
- settings_sent : connection
- settledarea : claim_map, player_score
- settler : ai_plr
- settler_cont : ai_type
- settler_reset : ai_type
- settler_run : ai_type
- setup() : mpgui, ruledit_gui
- setup_list() : mpgui
- setup_menus() : mr_menu
- setup_ui() : city_dialog, help_widget
- sex_buttons : races_dialog
- sf : small_sprite
- sfile : effect_cb_data, mfcb_data, save_thread_data
- sfont : fc_sidewidget, progress_bar
- sh : city_production_model
- sh_units : production_widget
- shc : line_edit
- shell : citizens_dialog, city_dialog, cma_dialog, economy_report, endgame_report, happiness_dialog, intel_dialog, intel_wonder_dialog, luaconsole_data, meswin_dialog, option_dialog, save_dialog, science_report, spaceship_dialog, unit_select_dialog, units_report
- shield : city_icon, tile_data_cache
- shield_priority : adv_data
- shield_stock : city, packet_city_info, packet_edit_city
- shield_upkeep : unittype_item
- shieldbox : packet_game_info
- shields : citybar_sprites
- short_help : command, packet_server_setting_const, setting
- short_name : packet_ruleset_specialist
- shortarg : cmdarg
- shortcut_2_menustring() : mr_menu
- shortcut_2_menustring_inner() : mr_menu
- shortcut_exist() : mr_menu
- shortcut_exist_inner() : mr_menu
- shortcut_options() : mr_menu
- shortcut_pressed() : map_view
- shortcut_released() : map_view
- show : citizens_column, city_report_spec, mapdef, player_dlg_column
- show_all : goto_dialog
- show_all_label : goto_dialog
- show_battle_log : fc_settings
- show_buildings : city_dialog, city_production_model
- show_full_tree : techs_buttons
- show_happiness() : city_dialog
- show_info() : fc_sc_button
- show_info_panel() : help_widget
- show_line : units_select
- show_me() : choice_dialog, goto_dialog, hud_text, hud_unit_loader, unit_hud_selector
- show_menu() : diplo_wdg
- show_menu_p1() : diplo_wdg
- show_menu_p2() : diplo_wdg
- show_new_turn_text : fc_settings
- show_preview : fc_client
- show_previous_turn_messages : client_options
- show_relations : plr_report
- show_relations_toggle() : plr_report
- show_required() : ruledit_gui
- show_targets() : city_dialog
- show_targets_worklist() : city_dialog
- show_techs : plr_report
- show_techs_toggle() : plr_report
- show_tooltip() : research_diagram
- show_tree : techs_buttons
- show_units : city_dialog, city_production_model
- show_units_command : city_dialog
- show_wonders : city_dialog, city_production_model, plr_report
- show_wonders_toggle() : plr_report
- showEvent() : city_dialog, help_dialog, hud_battle_log, minimap_view, option_dialog
- shown : animation
- shutdown : audio_plugin
- sidebar_wdg : fc_client
- signal_names : fc_lua
- signals : fc_lua
- silent_when_not_in_focus : client_options
- single : named_sprites
- single_page_layout : city_dialog
- single_wall : named_sprites
- site : player_tile
- size : adv_area_info, city, civ_map, client_option, cm_state, editor_tool, generate_packets.ArrayType, generate_packets.SizedType, islands_data_type, loaddata, mem_fzFILE, named_sprites, netfile_write_cb_data, packet_city_info, packet_city_short_info, packet_edit_city, packet_edit_city_create, packet_edit_player_vision, packet_edit_tile_extra, packet_edit_tile_terrain, research_diagram, scale_widget, strvec, vision_site, widget
- size_group : editbar
- size_hbox : editinfobox
- size_hint() : city_production_model
- size_hundreds : named_sprites
- size_spin_button : editinfobox
- size_tens : named_sprites
- sizeHint() : city_item_delegate, city_map, city_production_delegate, fc_double_edge, plr_item_delegate
- skill_level : packet_game_info, player_ai
- slevel : setting
- slider_list : multipler_rates_dialog
- slider_tab : city_dialog
- slot : player, team
- slot_achievements() : mr_menu
- slot_action() : mr_menu
- slot_action_vs_city() : mr_menu
- slot_action_vs_unit() : mr_menu
- slot_airlift() : mr_menu
- slot_apply_button_pressed() : tax_rates_dialog
- slot_auto_worker() : mr_menu
- slot_autocaravan() : mr_menu
- slot_battlelog() : mr_menu
- slot_bg1append() : mr_menu
- slot_bg1assign() : mr_menu
- slot_bg1select() : mr_menu
- slot_bg2append() : mr_menu
- slot_bg2assign() : mr_menu
- slot_bg2select() : mr_menu
- slot_bg3append() : mr_menu
- slot_bg3assign() : mr_menu
- slot_bg3select() : mr_menu
- slot_bg4append() : mr_menu
- slot_bg4assign() : mr_menu
- slot_bg4select() : mr_menu
- slot_board() : mr_menu
- slot_borders() : mr_menu
- slot_build_base() : mr_menu
- slot_build_city() : mr_menu
- slot_build_irrigation() : mr_menu
- slot_build_mine() : mr_menu
- slot_build_path() : mr_menu
- slot_build_road() : mr_menu
- slot_calculate() : mr_menu
- slot_cancel_button_pressed() : multipler_rates_dialog, tax_rates_dialog
- slot_center_view() : mr_menu
- slot_city_buycost() : mr_menu
- slot_city_growth() : mr_menu
- slot_city_names() : mr_menu
- slot_city_outlines() : mr_menu
- slot_city_output() : mr_menu
- slot_city_production() : mr_menu
- slot_city_trade_routes() : mr_menu
- slot_clean() : mr_menu
- slot_clear_trade() : mr_menu
- slot_conn_irrigation() : mr_menu
- slot_conn_maglev() : mr_menu
- slot_conn_rail() : mr_menu
- slot_conn_road() : mr_menu
- slot_connect() : fc_client
- slot_convert() : mr_menu
- slot_cultivate() : mr_menu
- slot_deboard() : mr_menu
- slot_delayed_goto() : mr_menu
- slot_demographics() : mr_menu
- slot_disband() : mr_menu
- slot_disconnect() : fc_client
- slot_done_moving() : mr_menu
- slot_endgame() : mr_menu
- slot_execute_orders() : mr_menu
- slot_fullbar() : mr_menu
- slot_fullscreen() : mr_menu
- slot_help() : mr_menu
- slot_lan_scan() : fc_client
- slot_lock() : mr_menu
- slot_map_grid() : mr_menu
- slot_meta_scan() : fc_client
- slot_minimap_view() : mr_menu
- slot_native_tiles() : mr_menu
- slot_ok_button_pressed() : multipler_rates_dialog, tax_rates_dialog
- slot_orders_clear() : mr_menu
- slot_paradrop() : mr_menu
- slot_patrol() : mr_menu
- slot_pick_nation() : fc_client
- slot_pillage() : mr_menu
- slot_plant() : mr_menu
- slot_popup_mult_rates() : mr_menu
- slot_popup_tax_rates() : mr_menu
- slot_pregame_observe() : fc_client
- slot_pregame_start() : fc_client
- slot_quickairlift() : mr_menu
- slot_quickairlift_set() : mr_menu
- slot_rally() : mr_menu
- slot_return_to_city() : mr_menu
- slot_select_all_tile() : mr_menu
- slot_select_one() : mr_menu
- slot_select_same_continent() : mr_menu
- slot_select_same_everywhere() : mr_menu
- slot_select_same_tile() : mr_menu
- slot_selection_changed() : fc_client
- slot_set_home() : mr_menu
- slot_set_value() : multipler_rates_dialog
- slot_show_cities() : mr_menu
- slot_show_eco_report() : mr_menu
- slot_show_map() : mr_menu
- slot_show_nations() : mr_menu
- slot_show_new_turn_text() : mr_menu
- slot_show_research_tab() : mr_menu
- slot_show_units_report() : mr_menu
- slot_spaceship() : mr_menu
- slot_stack_size() : mr_menu
- slot_top_cities() : mr_menu
- slot_trade_add_all() : mr_menu
- slot_trade_city() : mr_menu
- slot_transform() : mr_menu
- slot_traveler() : mr_menu
- slot_unit_airbase() : mr_menu
- slot_unit_explore() : mr_menu
- slot_unit_filter() : mr_menu
- slot_unit_fortify() : mr_menu
- slot_unit_fortress() : mr_menu
- slot_unit_goto() : mr_menu
- slot_unit_sentry() : mr_menu
- slot_unload_all() : mr_menu
- slot_unsentry() : mr_menu
- slot_upgrade() : mr_menu
- slot_wait() : mr_menu
- small_cancel_icon : theme_icons
- small_dlg : widget
- small_font : notify_dialog
- small_ok_icon : theme_icons
- small_sprite_height : tileset
- small_sprite_width : tileset
- small_sprites : theme, tileset
- small_wonder_visibility : packet_game_info
- smooth_center_slide_msec : client_options
- smooth_combat_step_msec : client_options
- smooth_move_unit_msec : client_options
- sock : connection, server_scan
- solar_panels : packet_spaceship_info, player_spaceship
- solid_color_behind_units : client_options
- solution_accepted() : req_vec_fix_problem
- solutions : req_vec_fix_problem
- some_slot() : fc_sidewidget
- soonest_completions : units_entry
- sort : citizens_dialog
- sort_def() : goto_dialog
- sort_func : player_dlg_column
- sound_bell : gui_funcs
- sound_bell_at_new_turn : client_options
- sound_effects_volume : client_options
- sound_enable_effects : client_options
- sound_enable_game_music : client_options
- sound_enable_menu_music : client_options
- sound_fight : packet_ruleset_unit, unit_type
- sound_fight_alt : packet_ruleset_unit, unit_type
- sound_fight_tag : edit_utype
- sound_fight_tag_alt : edit_utype
- sound_fight_tag_alt_given() : edit_utype
- sound_fight_tag_given() : edit_utype
- sound_move : packet_ruleset_unit, unit_type
- sound_move_alt : packet_ruleset_unit, unit_type
- sound_move_tag : edit_utype
- sound_move_tag_alt : edit_utype
- sound_move_tag_alt_given() : edit_utype
- sound_move_tag_given() : edit_utype
- sound_tag : edit_impr
- sound_tag_alt : edit_impr
- sound_tag_alt2 : edit_impr
- sound_tag_alt2_given() : edit_impr
- sound_tag_alt_given() : edit_impr
- sound_tag_given() : edit_impr
- soundtag : impr_type, packet_ruleset_building
- soundtag_alt : impr_type, packet_ruleset_building
- soundtag_alt2 : impr_type, packet_ruleset_building
- source : gui_dialog, requirement
- south_latitude : civ_map, packet_map_info
- spacerace_leader : adv_data
- spaceship : named_sprites, player, player_score
- spaceship_travel_pct : civ_game
- spam : ai_dip_intel
- spec : cm_tile_type, river_sprites
- spec_area : city_dialog
- spec_sprite : packet_tile_info, tile
- specfiles : theme, tileset
- special : loaddata, section
- special_idx : extra_type
- specialist : citizen_set, loaddata, req_context, universals_u
- specialists : city, city_icon, cm_result, packet_city_info, packet_edit_city, player_score
- specialists_size : packet_city_info, packet_edit_city
- specific : client_option, named_sprites
- split_by_civil_war : ai_type
- splitter : help_dialog, help_widget
- splitter_sizes : help_widget
- sprite : citizen_graphic, city_style_threshold, drawn_sprite, small_sprite
- sprite_count : animation
- sprite_hash : theme, tileset
- sprite_type : drawing_data::drawing_layer
- sprites : animation, tileset
- src : animation, caravan_result, data_in, worklist_data
- src_col : worklist_data
- src_rate : rates_move
- src_selection : worklist_data
- src_size : data_in
- src_tile : packet_unit_orders
- src_view : worklist_data
- srvrs : server_scan
- ss_label : ss_report
- ss_pix_label : ss_report
- ss_report() : ss_report
- ssa : loaddata
- ssa_controller : packet_unit_info, unit
- ssetval : universals_u
- sship_state : packet_spaceship_info
- stack : cm_state, named_sprites, ruledit_gui
- stack_button() : choice_dialog
- stack_size_offset_x : tileset
- stack_size_offset_y : tileset
- standard : fc_sidewidget
- start : multiplier, packet_ruleset_multiplier, timer
- start_button : CONNLIST, fc_client
- start_city : civ_game
- start_from_save() : fc_client
- start_go_act() : go_act_menu
- start_new_game() : fc_client
- start_offset : text_tag
- start_page_menu() : fc_client
- start_players_tree : fc_client
- start_scenario() : fc_client
- start_tile : part, pf_parameter
- start_turn : gui_funcs
- start_units : civ_game
- start_x : text_edit
- start_year : civ_game
- starters : islands_data_type
- startpos : civ_map, editor_sprites, packetdata, team_placement_config, team_placement_state
- startpos_nation : packet_edit_tile
- startpos_nations : packet_edit_game, packet_scenario_info
- startpos_table : civ_map
- startpos_team_id : fair_tile
- state : checkbox, fc_lua, menu_entry_info, packet_edit_mode, player_spaceship, research::research_invention, server, timer
- state_changed() : chatwdg
- state_preview() : fc_client
- state_types_flags : widget
- statistics : connection
- stats : adv_data, ai_plr, tab_misc
- status : connection, global_worklist, mapdef, pf_danger_node, pf_fuel_node, pf_normal_node, player
- status_bar : fc_client
- status_bar_label : fc_client
- status_bar_queue : fc_client
- stay : packet_edit_unit, packet_unit_info, unit
- stdcolors : color_system
- steal : city, packet_city_info, packet_edit_city
- steal_maps_reveals_all_cities : packet_game_info
- steepness : civ_map
- step : multiplier, packet_ruleset_multiplier, scroll_bar, UP_DOWN, up_down
- steps : animation
- stock : wl_editor
- stop : audio_plugin, multiplier, packet_ruleset_multiplier
- stop_offset : text_tag
- store : citizens_dialog, cma_dialog, Diplomacy_dialog, endgame_report, extviewer, tool_value_selector, unit_select_dialog, view
- store_height : view
- store_size : setting
- store_width : view
- stored_autocenter : map_view
- str : astring, fc_shortcut
- str_list : info_tile
- str_value : cf_sequence
- str_vtable : option
- strategy : ai_plr
- string : client_option, entry, server_option, setting
- string_start_line : inputfile
- string_utf8 : widget
- string_value : datum
- structurals : packet_spaceship_info, player_spaceship
- structure : packet_spaceship_info, player_spaceship
- style : city, city_icon, nation_type, packet_city_info, packet_city_short_info, packet_nation_select_req, packet_player_info, packet_ruleset_nation, player, universals_u, utf8_str, vision_site
- style_citizen_sets : named_sprites
- style_id : packet_ruleset_city
- style_lists : tileset
- style_selected() : races_dialog
- styles : city_sprite, races_dialog
- stype : setting
- sub() : generate_packets.Location
- sub_full() : generate_packets.Location
- sub_location : plocation
- sub_req : techs_buttons
- sub_results : action, packet_ruleset_action
- sub_target : unit_order
- sub_target_id : choice_dialog, diplomat_dialog
- sub_target_kind : action
- sub_targets : techs_buttons
- sub_tgt_compl : actres
- sub_tgt_id : packet_unit_do_action
- sub_tgt_kind : packet_ruleset_action
- subitem_begin : tag_types
- subitem_end : tag_types
- subset_movers : unit_class
- success_rate : packet_spaceship_info, player_spaceship
- sufficient : cm_fitness
- suggested_solutions : req_vec_problem
- suicide_attack : adv_data
- suicide_attackers : adv_data
- sum : tile_data_cache
- summary : musicset, tileset
- sums : city_sum
- supp_units : city_dialog
- support : copt_val_name, sset_val_name
- support_icon : theme_icons
- support_names : client_option, packet_server_setting_bitwise, packet_server_setting_enum, server_option
- support_rate : packet_spaceship_info, player_spaceship
- supported : unit_item
- supported_unit_table : city_dialog
- supported_units : city_dialog
- supported_units_frame : city_dialog
- SUPPORTED_UNITS_PAGE : city_dialog
- supports : unit_info
- suppress_if_zero : city_sum
- surf : canvas
- surface : canvas, gui_layer, sprite
- surplus : city, cm_result, packet_city_info
- survives : requirement
- svg_height : tileset
- sw : city_map_canvas, hud_battle_log
- sw_cities : fc_client
- sw_cunit : fc_client
- sw_diplo : fc_client
- sw_economy : fc_client
- sw_endturn : fc_client
- sw_indicators : fc_client
- sw_map : fc_client
- sw_science : fc_client
- sw_tax : fc_client
- switch_page() : fc_client
- switch_target() : choice_dialog
- synced : city
- synopsis : command